# FileAttributes.Builder (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.sftp
Class FileAttributes.Builder

    java.lang.Object
      net.schmizz.sshj.sftp.FileAttributes.Builder

Enclosing class:
  FileAttributes

    public static class FileAttributes.Builder

extends Object

Constructor Summary
`FileAttributes.Builder()`

Method Summary
`FileAttributes` `build()`
`FileAttributes.Builder` `withAtimeMtime(long atime, long mtime)`
`FileAttributes.Builder` `withExtended(Map<String,String> ext)`
`FileAttributes.Builder` `withExtended(String type, String data)`
`FileAttributes.Builder` `withPermissions(int perms)`
`FileAttributes.Builder` `withPermissions(Set<FilePermission> perms)`
`FileAttributes.Builder` `withSize(long size)`
`FileAttributes.Builder` `withType(FileMode.Type type)`
`FileAttributes.Builder` `withUIDGID(int uid, int gid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileAttributes.Builder

    public FileAttributes.Builder()

Method Detail

### withSize

    public FileAttributes.Builder withSize(long size)

### withAtimeMtime

    public FileAttributes.Builder withAtimeMtime(long atime,
                                                 long mtime)

### withUIDGID

    public FileAttributes.Builder withUIDGID(int uid,
                                             int gid)

### withPermissions

    public FileAttributes.Builder withPermissions(Set<FilePermission> perms)

### withPermissions

    public FileAttributes.Builder withPermissions(int perms)

### withType

    public FileAttributes.Builder withType(FileMode.Type type)

### withExtended

    public FileAttributes.Builder withExtended(String type,
                                               String data)

### withExtended

    public FileAttributes.Builder withExtended(Map<String,String> ext)

### build

    public FileAttributes build()

Copyright © 2009-2011. All Rights Reserved.